package de.hdm_stuttgart.battlearena.Controller;

import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.geometry.Rectangle2D;
import javafx.scene.control.Button;
import javafx.scene.image.ImageView;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.Pane;
import javafx.stage.Screen;
import javafx.stage.Stage;

import java.net.URL;
import java.util.ResourceBundle;

public class MainMenuController implements Initializable {
    @FXML
    public BorderPane parent;
    @FXML
    public Button exitButton, btnRight;
    @FXML
    public ImageView imgLeft, imgRight;
    public static Pane center;
    private int counter = 0;
    private final SceneLoader sceneLoader = new SceneLoader();

    public void playScene() {
//        saving Borderpane without borders as regular pane so after switching scenes back to main menu it won't load the entire Borderpane, instead only the center content. Will fix the static and public identifier in the future
        center = (Pane) parent.getCenter();
//        get(0) returns the first item from the getChildren() List
        parent.setCenter(sceneLoader.loadScene("Play"));
    }

    public void exit() {
        Stage stage = (Stage) exitButton.getScene().getWindow();
        stage.close();
    }

    @Override
    public void initialize(URL url, ResourceBundle resourceBundle) {
//        set size for rusty gear image depending on screen resolution
        Rectangle2D screen = Screen.getPrimary().getVisualBounds();
        final double imageWidth = screen.getWidth() / 6;
        imgRight.setFitWidth(imageWidth);
        imgRight.setPreserveRatio(true);
        imgLeft.setFitWidth(imageWidth);
        imgLeft.setPreserveRatio(true);
    }

    public void easterEgg() {
        btnRight.setOnMouseClicked(mouseEvent -> counter++);
        if (counter == 5) {
//            TODO: inplement something stupid
            System.out.println("monke");
        }
    }

//    TODO: create skin selectiion scene
}
